Bug 146043 - [patch] make dyncall build on powerpc
Summary: [patch] make dyncall build on powerpc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beat Gaetzi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-25 19:30 UTC by Andreas Tobler
Modified: 2010-04-28 17:20 UTC (History)
0 users

See Also:


Attachments
file.diff (664 bytes, patch)
2010-04-25 19:30 UTC, Andreas Tobler
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Tobler 2010-04-25 19:30:11 UTC
The attached patch plus this Makefile diff makes dyncall build on powerpc:

--- Makefile.orig	2010-04-25 17:41:32.000000000 +0200
+++ Makefile	2010-04-25 17:41:49.000000000 +0200
@@ -23,7 +23,7 @@
 
 .include <bsd.port.pre.mk>
 
-.if ${ARCH} == "sparc64" || ${ARCH} == "ia64" || ${ARCH} == "powerpc"
+.if ${ARCH} == "sparc64" || ${ARCH} == "ia64"
 BROKEN=		Does not install (unsupported architecture)
 .endif

Fix: Patch attached with submission follows:
Comment 1 Beat Gaetzi freebsd_committer 2010-04-27 22:01:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beat

I'll take it.
Comment 2 Beat Gaetzi freebsd_committer 2010-04-27 23:11:37 UTC
Maintainer of devel/dyncall,

Please note that PR ports/146043 has just been submitted.

If it contains a bug fix you agree on, reply to this email stating that
you approve the patch and I will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/146043

Thanks,
Beat
Comment 3 dfilter service freebsd_committer 2010-04-28 17:18:25 UTC
beat        2010-04-28 16:18:12 UTC

  FreeBSD ports repository

  Modified files:
    devel/dyncall        Makefile 
  Added files:
    devel/dyncall/files  patch-configure 
  Log:
  - Fix build on PowerPC
  
  PR:             ports/146043
  Submitted by:   Andreas Tobler <andreast-list AT fgznet.ch>
  Approved by:    Tassilo Philipp <tphilipp AT potion-studios.com> (maintainer, via private mail)
  
  Revision  Changes    Path
  1.7       +1 -1      ports/devel/dyncall/Makefile
  1.1       +11 -0     ports/devel/dyncall/files/patch-configure (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Beat Gaetzi freebsd_committer 2010-04-28 17:18:52 UTC
State Changed
From-To: open->closed

Committed. Thanks!